---
title: "Historical contract: Create Checkout Field"
description: "Historical Ordering.co API contract for POST /checkoutfields (Create Checkout Field), kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/create-checkoutfield/
---

# Historical contract: Create Checkout Field

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Create Checkout Field

This API endpoint is used to create a checkout field.

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/checkoutfields/POST/checkoutfields)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  }
]
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "name",
          "type",
          "required",
          "enabled"
        ],
        "properties": {
          "name": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "required": {
            "type": "boolean"
          },
          "enabled": {
            "type": "boolean"
          }
        }
      }
    }
  }
}
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"name\": \"<redacted-personal>\",\n    \"code\": \"runscope\",\n    \"type\": 1,\n    \"required\": false,\n    \"enabled\": false,\n    \"id\": 18\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "example": "<redacted-personal>"
                },
                "code": {
                  "type": "string",
                  "example": "runscope"
                },
                "type": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "required": {
                  "type": "boolean",
                  "example": false,
                  "default": true
                },
                "enabled": {
                  "type": "boolean",
                  "example": false,
                  "default": true
                },
                "id": {
                  "type": "integer",
                  "example": 18,
                  "default": 0
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"The Name field is required.\",\n    \"The Type field is required.\",\n    \"The Code field is required.\",\n    \"The Required field is required.\",\n    \"The Status field is required.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "The Name field is required."
              }
            }
          }
        }
      }
    }
  },
  "401": {
    "description": "401",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"You do not have permission.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "You do not have permission."
              }
            }
          }
        }
      }
    }
  }
}
```
